Package org.eclipse.net4j.util.concurrent

## Class ExecutorWorkSerializer

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.concurrent.ExecutorWorkSerializer

- All Implemented Interfaces:
    `IWorkSerializer`, `INotifier`, `INotifier.INotifier2`, `IDeactivateable`, `ILifecycle`, `ILifecycle.DeferrableActivation`

      @Deprecated
      public class ExecutorWorkSerializer
      extends Lifecycle
      implements IWorkSerializer

  Deprecated.
  As of 3.9 use an executor such as `SerializingExecutor`.
  Since:
    3.6
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutorWorkSerializer()` | Deprecated.
    `ExecutorWorkSerializer​(java.util.concurrent.Executor executor)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addWork​(java.lang.Runnable runnable)` | Deprecated.
    `void` | `dispose()` | Deprecated.
    `protected void` | `doActivate()` | Deprecated.
    `protected void` | `doBeforeActivate()` | Deprecated.
    `protected void` | `doDeactivate()` | Deprecated.
    `java.util.concurrent.Executor` | `getExecutor()` | Deprecated.
    `protected void` | `handleException​(java.lang.Runnable runnable, java.lang.Throwable ex)` | Deprecated.
    `protected void` | `noWork()` | Deprecated.
    `void` | `setExecutor​(java.util.concurrent.Executor executor)` | Deprecated.
    `java.lang.String` | `toString()` | Deprecated.

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### ExecutorWorkSerializer

          public ExecutorWorkSerializer()

      Deprecated.

    - #### ExecutorWorkSerializer

          public ExecutorWorkSerializer​(java.util.concurrent.Executor executor)

      Deprecated.

  - ### Method Detail

    - #### getExecutor

          public java.util.concurrent.Executor getExecutor()

      Deprecated.

    - #### setExecutor

          public void setExecutor​(java.util.concurrent.Executor executor)

      Deprecated.

    - #### addWork

          public boolean addWork​(java.lang.Runnable runnable)

      Deprecated.
      Specified by:
        `addWork` in interface `IWorkSerializer`

    - #### dispose

          public void dispose()

      Deprecated.
      Specified by:
        `dispose` in interface `IWorkSerializer`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `Lifecycle`

    - #### handleException

          protected void handleException​(java.lang.Runnable runnable,
                                         java.lang.Throwable ex)

      Deprecated.

    - #### noWork

          protected void noWork()

      Deprecated.

    - #### doBeforeActivate

          protected void doBeforeActivate()
                                   throws java.lang.Exception

      Deprecated.
      Overrides:
        `doBeforeActivate` in class `Lifecycle`
      Throws:
        `java.lang.Exception`

    - #### doActivate

          protected void doActivate()
                             throws java.lang.Exception

      Deprecated.
      Overrides:
        `doActivate` in class `Lifecycle`
      Throws:
        `java.lang.Exception`

    - #### doDeactivate

          protected void doDeactivate()
                               throws java.lang.Exception

      Deprecated.
      Overrides:
        `doDeactivate` in class `Lifecycle`
      Throws:
        `java.lang.Exception`